using Godot;
using System;

public partial class Door : Node2D
{
	[Export] public Door Exit;
	// Called when the node enters the scene tree for the first time.
	public override void _Ready()
	{
	}

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
	}

	private void _on_interactable_player_near_by(Player player)
	{
		player.InteractableObjects.Add(this);
	}

	private void _on_interactable_player_left(Player player)
	{
		player.InteractableObjects.Remove(this);
	}
}
